import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Note, NoteInput } from "../../../sdk";
export declare class ModalNote implements ComponentInterface {
  editorEl: any;
  tabsEl: HTMLIonTabsElement;
  tabBarEl: HTMLIonTabBarElement;
  steps: string[];
  floodteamCloseModal: EventEmitter;
  fireenjinFetch: EventEmitter;
  heading: string;
  jobId: string;
  userId: string;
  note: Note;
  noteInput: NoteInput;
  previewHTML: string;
  onEditorChange(): Promise<void>;
  onChange(event: any): Promise<void>;
  onReset(event: any): void;
  onSuccess(event: any): Promise<void>;
  presentToast(): Promise<void>;
  render(): any[];
}
